# Class TCLIService.Client.Factory

java.lang.Object
com.databricks.jdbc.model.client.thrift.generated.TCLIService.Client.Factory

All Implemented Interfaces:
  `org.apache.thrift.TServiceClientFactory<TCLIService.Client>`

Enclosing class:
  `TCLIService.Client`

public static class TCLIService.Client.Factory extends Object implements org.apache.thrift.TServiceClientFactory<TCLIService.Client>

## Constructor Summary

Constructors
Constructor
Description
`Factory()`

## Method Summary

Modifier and Type
Method
Description
`TCLIService.Client`
`getClient(org.apache.thrift.protocol.TProtocol prot)`
`TCLIService.Client`
`getClient(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Factory

public Factory()

## Method Details

### getClient

public TCLIService.Client getClient(org.apache.thrift.protocol.TProtocol prot)

Specified by:
  `getClient` in interface `org.apache.thrift.TServiceClientFactory<TCLIService.Client>`

### getClient

public TCLIService.Client getClient(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TProtocol oprot)

Specified by:
  `getClient` in interface `org.apache.thrift.TServiceClientFactory<TCLIService.Client>`